Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.output
Class OutputFieldGrouped

    java.lang.Object
      org.encog.util.normalize.output.BasicOutputField
          org.encog.util.normalize.output.OutputFieldGrouped

All Implemented Interfaces:
  Serializable, OutputField

Direct Known Subclasses:
  OutputFieldMultiplicative, OutputFieldZAxis, OutputFieldZAxisSynthetic

    public abstract class OutputFieldGrouped

extends BasicOutputField

Defines an output field that can be grouped. Groupable classes will extend this class.

See Also:
  Serialized Form

Constructor Summary
`OutputFieldGrouped()` Default constructor, used mainly for reflection.
`OutputFieldGrouped(OutputFieldGroup group, InputField sourceField)` Construct a grouped output field.

Method Summary
`OutputFieldGroup` | `getGroup()`
`InputField` | `getSourceField()`

Methods inherited from class org.encog.util.normalize.output.BasicOutputField
`isIdeal, setIdeal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.encog.util.normalize.output.OutputField
`calculate, getSubfieldCount, rowInit`

Constructor Detail

### OutputFieldGrouped

    public OutputFieldGrouped()

  Default constructor, used mainly for reflection.

### OutputFieldGrouped

    public OutputFieldGrouped(OutputFieldGroup group,
                              InputField sourceField)

  Construct a grouped output field.

  Parameters:
    `group` - The group that this field belongs to.
    `sourceField` - The source field for this output field.

Method Detail

### getGroup

    public OutputFieldGroup getGroup()

  Returns:
    The group that this field belongs to.

### getSourceField

    public InputField getSourceField()

  Returns:
    The source field for this output field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.